<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/bdd/conectar.php');

// 27-12-2018 Eliminamos la definición de esta rutina, porque ya está incluida en "funciones-generales.php" y al redefinirla en Acrylicos da error. En Gadir no :/
/*
function convierteCodigoEmbalaje($Codigo,$EmbalajePrimario) {

	global $informarUnidadesPorCaja;

	if($informarUnidadesPorCaja) {
	
		$codigoOriginal=substr($Codigo,0,strlen($Codigo)-2);
		$ultimosCaracteres=substr($Codigo,strlen($Codigo)-2,2);
		
		if( (int)$ultimosCaracteres < $EmbalajePrimario ) {
		
			if( $EmbalajePrimario<10 ) $ultimosCaracteres="0".$EmbalajePrimario;
			else $ultimosCaracteres=$EmbalajePrimario;
			
			return $codigoOriginal.$ultimosCaracteres;
		
		}
		else return $Codigo;
	
	}
	else return $Codigo;

}
*/

$consulta="
	INSERT INTO ".$mysqlPrefix."Inventarios
	(Empresa,Ejercicio,Inventario,Usuario,FechaHora,Ubicacion,Contenedor,Almacen,Codigo,Descripcion,EmbalajePrimario,Lote,NumeroSerie,FechaCaducidad,Cantidad,Estado,Enviado)
	VALUES
	(?,?,?,?,now(),?,?,?,?,?,?,?,?,?,?,?,'0000-00-00')";
			
$temp=$conexionBdd->prepare($consulta);
$temp->execute(
	array(
		$_SESSION['empresa'],
		$_SESSION['inventarioEjercicio'],
		$_SESSION['inventario'],
		$_SESSION['usuario']['Usuario'],
		$_POST['Ubicacion'],
		$_POST['Contenedor'],
		$_SESSION['almacen'],
		convierteCodigoEmbalaje($_POST['Codigo'],$_POST['EmbalajePrimario']),
		$_POST['Descripcion'],
		$_POST['EmbalajePrimario'],
		$_POST['Lote'],
		$_POST['NumeroSerie'],
		traduce_fecha($_POST['FechaCaducidad']),
		$_POST['Cantidad'],
		$_POST['Estado']
	)
);

echo "Ok";

include($rutaPhp.$rutaHtml.'/bdd/desconectar.php');

?>